Arena Test I -- Dead, but being used to test things
Site
GTX0 AnnouncementsFeedbackHelp | SandboxNewest Posts | Replies | Hottest
Activities GTX0 Mafia | AutoMafiaGTX0 Adventure | NIFESpectator GamingThe Flowvamp
Topics
Communities NostalgiaAxemsDrunjkPointless
Communities RPG ChatTerraria & IndiesJedi SithCovenant
Entertainment Computer Help & ChatSports | Entertainment & MusicWrestlingCreative Outlet
Special Topics World & PoliticsReal LifeSpiritualityScience & Math
Games
Game Genres StrategyMario WorldPokémonFinal Fantasy/RPGs
Superforums Video Game News & DiscussionsLegend of ZeldaAnimated/JapaneseDueling Cards
Popular Games OverwatchSuper Smash BrosMass EffectHalo


NIFE: Plugin versioning system
Posted: Posted June 18th
Edited June 18th by Xhin

When I update plugins, if I get them to use new properties or stats, then plugins that have already been activated in existing games weren't able to be activated again.

This update fixes that. Now when your plugin version doesn't match, you'll have to click a button to upgrade the plugin again before you can do anything:



Dependent subpanels (such as "Sparring: Weapons & Armor") will also give you a required link to the main activation panel so they don't break either.

This update basically lets me upgrade plugins while existing games are already using them without breaking them.

Reply to: NIFE: Plugin versioning system

Enter your message here


Site Rules | Complaints Process | Register Complaint Facebook Page
GTX0 © 2009-2017 Xhin GameTalk © 1999-2008 lives on